Name:           gnome-clocks
Version:        3.38.0
Release:        1
Summary:        CGNOME 3 clock application
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Clocks
Source0:        https://download.gnome.org/sources/gnome-clocks/3.38/%{name}-%{version}.tar.xz

BuildRequires:  meson desktop-file-utils gettext itstool libappstream-glib vala
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20 pkgconfig(gweather-3.0) >= 3.32.0
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.8 pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44 pkgconfig(libgeoclue-2.0) >= 2.4
BuildRequires:  pkgconfig(geocode-glib-1.0) >= 1.0 pkgconfig(gsound) >= 0.98
BuildRequires:  pkgconfig(libhandy-1)

Requires:       libgweather >= 3.32.0

%description
GNOME Clocks is a simple application to show the time and date
in multiple locations and set alarms or timers. A stopwatch is
also included.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-clocks --with-gnome

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.clocks.desktop

%files -f gnome-clocks.lang
%doc AUTHORS.md README.md NEWS
%license LICENSE.md
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_bindir}/gnome-clocks
%{_datadir}/icons/hicolor/*/apps/org.gnome.clocks*.svg
%{_datadir}/applications/org.gnome.clocks.desktop
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini
%{_datadir}/metainfo/org.gnome.clocks.metainfo.xml

%changelog
* Wed Jun 16 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Delete 0001-timer-Set-width-chars-2-property-on-the-spinbuttons.patch
  whose target file that to be patched doesn't exist in version 3.38.0

* Tue Dec 10 2019 gulining<gulining1@huawei.com> - 3.30.0-4
- Pakcage init
